Ubuntu 10.04 user integration feedback

 

I haven't been able to use the libace packaged in Ubuntu yet, we'll be using the supplied version. I have however managed using the qt and usb libraries as packaged, which saves a lot of time.

 

Ubuntu 10.4 uses almost identical versions of libraries you recommended, so itís pretty straight forward. Here is a (hopefully complete) list of packages required to build

 

Obviously you need:

build-essential

libx11-dev

I think most dependencies are pulled in by this, I also added:

libxtst-dev

and possibly needed (?)

libxt-dev

plus:

libqt4-dev

libusb-1.0-0-dev

 

However its easy enough to see if you're hitting missing dependencies.

 

A couple of tweaks to the Makefiles to find the packaged libs:

 

Modified CPP/LD flags for driver:

 

opdd_CPPFLAGS = -I/usr/src/ACE_5.6/ACE_wrappers -D_LINUX -DOPDD_LINUX_X_POINTER -DOPDD_LINUX_USB -I../common -I/usr/include/libusb-1.0

 

opdd_LDFLAGS = -L/usr/src/ACE_5.6/ACE_wrappers/ace -lACE -lusb-1.0 -L/usr/lib -lX11 -L/usr/X11R6/lib -lXtst -L/usr/X11R6/lib64

 

Modified CPP/LD flags for oputils:

 

oputils_CPPFLAGS = -I/usr/src/ACE_5.6/ACE_wrappers -D_LINUX -I../common -I/usr/include/qt4/Qt -D_CRT_SECURE_NO_WARNINGS -D_LINUX -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/include/qt4/

 

oputils_LDFLAGS = -L/usr/src/ACE_5.6/ACE_wrappers/ace -lACE -lQtGui -L/usr/lib/qt4/ -L/usr/X11R6/lib64 -lQtCore -lpthread -L/usr/X11R6/lib